uk.gov.voa.play.form

# ConditionalMapping

###
Related Doc: package form

#### case class ConditionalMapping[T](condition: Condition, wrapped: Mapping[T], defaultValue: T, constraints: Seq[Constraint[T]] = Nil, keys: Set[String] = Set()) extends Mapping[T] with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Mapping[T], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ConditionalMapping
2. Serializable
3. Serializable
4. Product
5. Equals
6. Mapping
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ConditionalMapping(condition: Condition, wrapped: Mapping[T], defaultValue: T, constraints: Seq[Constraint[T]] = Nil, keys: Set[String] = Set())

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def addPrefix(prefix: String): Option[String]

   Attributes
     protected
   Definition Classes
     Mapping

5. #### def applyConstraints(t: T): Either[Seq[FormError], T]

   Attributes
     protected
   Definition Classes
     Mapping

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def bind(data: Map[String, String]): Either[Seq[FormError], T]

   Definition Classes
     ConditionalMapping → Mapping

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def collectErrors(t: T): Seq[FormError]

   Attributes
     protected
   Definition Classes
     Mapping

10. #### val condition: Condition

11. #### val constraints: Seq[Constraint[T]]

    Definition Classes
      ConditionalMapping → Mapping

12. #### val defaultValue: T

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### val format: Option[(String, Seq[Any])]

    Definition Classes
      ConditionalMapping → Mapping

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### val key: String

    Definition Classes
      ConditionalMapping → Mapping

19. #### val keys: Set[String]

20. #### val mappings: Seq[Mapping[_]]

    Definition Classes
      ConditionalMapping → Mapping

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def transform[B](f1: (T) ⇒ B, f2: (B) ⇒ T): Mapping[B]

    Definition Classes
      Mapping

26. #### def unbind(value: T): Map[String, String]

    Definition Classes
      ConditionalMapping → Mapping

27. #### def unbindAndValidate(value: T): (Map[String, String], Seq[FormError])

    Definition Classes
      ConditionalMapping → Mapping

28. #### def verifying(addConstraints: Constraint[T]*): Mapping[T]

    Definition Classes
      ConditionalMapping → Mapping

29. #### def verifying(error: ⇒ String, constraint: (T) ⇒ Boolean): Mapping[T]

    Definition Classes
      Mapping

30. #### def verifying(constraint: (T) ⇒ Boolean): Mapping[T]

    Definition Classes
      Mapping

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### def withPrefix(prefix: String): Mapping[T]

    Definition Classes
      ConditionalMapping → Mapping

35. #### val wrapped: Mapping[T]

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Mapping[T]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped